<!DOCTYPE html>
<html lang="en">
  <head>

    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Meta -->
    <meta name="description" content="Responsive Bootstrap 4 Dashboard and Admin Template">
    <meta name="author" content="ThemePixels">

    <!-- Favicon -->
    <link rel="shortcut icon" type="image/x-icon" href="../assets/img/favicon.png">

    <title>Cassie Responsive Bootstrap 4 Dashboard and Admin Template</title>

    <!-- vendor css -->
    <link href="../lib/@fortawesome/fontawesome/css/all.min.css" rel="stylesheet">
    <link href="../lib/ionicons/css/ionicons.min.css" rel="stylesheet">
    <link href="../lib/prismjs/themes/prism-tomorrow.css" rel="stylesheet">

    <!-- template css -->
    <link rel="stylesheet" href="../assets/css/cassie.css">

  </head>
  <body data-spy="scroll" data-target="#navSection" data-offset="100">

    <div class="sidebar">
      <div class="sidebar-header">
        <div>
          <a href="../index.html" class="sidebar-logo"><span>cassie</span></a>
          <small class="sidebar-logo-headline">Responsive Dashboard Template</small>
        </div>
      </div><!-- sidebar-header -->
      <div id="dpSidebarBody" class="sidebar-body">
        <ul class="nav nav-sidebar">
          <li class="nav-label"><label class="content-label">Template Pages</label></li>
          <li class="nav-item">
            <a href="" class="nav-link with-sub"><i data-feather="box"></i> Dashboard</a>
            <nav class="nav nav-sub">
              <a href="../pages/dashboard-one.html" class="nav-sub-link">Analytics &amp; Monitoring</a>
              <a href="../pages/dashboard-two.html" class="nav-sub-link">Projects &amp; Web Services</a>
              <a href="../pages/dashboard-three.html" class="nav-sub-link">Blog &amp; Social Media</a>
            </nav>
          </li>
          <li class="nav-item">
            <a href="" class="nav-link with-sub"><i data-feather="layout"></i> App Pages</a>
            <nav class="nav nav-sub">
              <a href="../pages/app-calendar.html" class="nav-sub-link">Calendar</a>
              <a href="../pages/app-chat.html" class="nav-sub-link">Chat</a>
              <a href="../pages/app-mail.html" class="nav-sub-link">Mail</a>
            </nav>
          </li>
          <li class="nav-item">
            <a href="" class="nav-link with-sub"><i data-feather="lock"></i> Authentication</a>
            <nav class="nav nav-sub">
              <a href="../pages/page-signin.html" class="nav-sub-link">Sign In</a>
              <a href="../pages/page-signup.html" class="nav-sub-link">Sign Up</a>
              <a href="../pages/page-forgot.html" class="nav-sub-link">Forgot Password</a>
            </nav>
          </li>
          <li class="nav-item">
            <a href="" class="nav-link with-sub"><i data-feather="x-circle"></i> Error Pages</a>
            <nav class="nav nav-sub">
              <a href="../pages/page-404.html" class="nav-sub-link">Page Not Found</a>
              <a href="../pages/page-500.html" class="nav-sub-link">Internal Server Error</a>
              <a href="../pages/page-503.html" class="nav-sub-link">Service Unavailable</a>
              <a href="../pages/page-505.html" class="nav-sub-link">Forbidden Access</a>
            </nav>
          </li>
          <li class="nav-item">
            <a href="" class="nav-link with-sub"><i data-feather="user"></i> User Pages</a>
            <nav class="nav nav-sub">
              <a href="../pages/page-profile.html" class="nav-sub-link">User Profile</a>
              <a href="../pages/page-timeline.html" class="nav-sub-link">Timeline</a>
              <a href="../pages/page-people.html" class="nav-sub-link">People</a>
              <a href="../pages/page-settings.html" class="nav-sub-link">Profile Settings</a>
            </nav>
          </li>
          <li class="nav-item">
            <a href="" class="nav-link with-sub"><i data-feather="file-text"></i> Extras</a>
            <nav class="nav nav-sub">
              <a href="../pages/page-invoice.html" class="nav-sub-link">Invoice</a>
              <a href="../pages/page-pricing.html" class="nav-sub-link">Pricing</a>
            </nav>
          </li>
          <li class="nav-label"><label class="content-label">UI Design Library</label></li>
          <li class="nav-item">
            <a href="" class="nav-link with-sub"><i data-feather="book"></i> Content</a>
            <nav class="nav nav-sub">
              <a href="con-grid.html" class="nav-sub-link">Grid System</a>
              <a href="con-icons.html" class="nav-sub-link">Icons</a>
              <a href="con-images.html" class="nav-sub-link">Images</a>
              <a href="con-typography.html" class="nav-sub-link">Typography</a>
            </nav>
          </li>
          <li class="nav-item">
            <a href="" class="nav-link with-sub"><i data-feather="layers"></i> Components</a>
            <nav class="nav nav-sub">
              <a href="com-accordion.html" class="nav-sub-link">Accordion</a>
              <a href="com-alerts.html" class="nav-sub-link">Alerts</a>
              <a href="com-avatar.html" class="nav-sub-link">Avatar</a>
              <a href="com-badge.html" class="nav-sub-link">Badge</a>
              <a href="com-breadcrumbs.html" class="nav-sub-link">Breadcrumbs</a>
              <a href="com-buttons.html" class="nav-sub-link">Buttons</a>
              <a href="com-button-groups.html" class="nav-sub-link">Button Groups</a>
              <a href="com-cards.html" class="nav-sub-link">Cards</a>
              <a href="com-carousel.html" class="nav-sub-link">Carousel</a>
              <a href="com-collapse.html" class="nav-sub-link">Collapse</a>
              <a href="com-dropdown.html" class="nav-sub-link">Dropdown</a>
              <a href="com-list-group.html" class="nav-sub-link">List Group</a>
              <a href="com-marker.html" class="nav-sub-link">Marker</a>
              <a href="com-media-object.html" class="nav-sub-link">Media Object</a>
              <a href="com-modal.html" class="nav-sub-link">Modal</a>
              <a href="com-navs.html" class="nav-sub-link">Navs</a>
              <a href="com-navbar.html" class="nav-sub-link">Navbar</a>
              <a href="com-off-canvas.html" class="nav-sub-link">Off-Canvas</a>
              <a href="com-pagination.html" class="nav-sub-link">Pagination</a>
              <a href="com-placeholder.html" class="nav-sub-link">Placeholder</a>
              <a href="com-popovers.html" class="nav-sub-link">Popovers</a>
							<a href="com-progress.html" class="nav-sub-link">Progress</a>
              <a href="com-steps.html" class="nav-sub-link">Steps</a>
              <a href="com-scrollbar.html" class="nav-sub-link">Scrollbar</a>
              <a href="com-scrollspy.html" class="nav-sub-link">Scrollspy</a>
              <a href="com-spinners.html" class="nav-sub-link">Spinners</a>
              <a href="com-tab.html" class="nav-sub-link">Tab</a>
              <a href="com-toast.html" class="nav-sub-link">Toast </a>
              <a href="com-tooltips.html" class="nav-sub-link">Tooltips</a>
              <a href="com-table-basic.html" class="nav-sub-link">Table Basic</a>
              <a href="com-table-advanced.html" class="nav-sub-link">Table (Datatable)</a>
            </nav>
          </li>
          <li class="nav-item show">
            <a href="" class="nav-link with-sub active"><i data-feather="monitor"></i> Utilities</a>
            <nav class="nav nav-sub">
              <a href="util-animation.html" class="nav-sub-link">Animation</a>
              <a href="util-background.html" class="nav-sub-link">Background</a>
              <a href="util-border.html" class="nav-sub-link">Border</a>
              <a href="util-display.html" class="nav-sub-link">Display</a>
              <a href="util-divider.html" class="nav-sub-link">Divider</a>
              <a href="util-flex.html" class="nav-sub-link active">Flex</a>
              <a href="util-height.html" class="nav-sub-link">Height</a>
              <a href="util-margin.html" class="nav-sub-link">Margin</a>
              <a href="util-padding.html" class="nav-sub-link">Padding</a>
              <a href="util-position.html" class="nav-sub-link">Position</a>
              <a href="util-typography.html" class="nav-sub-link">Typography</a>
              <a href="util-width.html" class="nav-sub-link">Width</a>
              <a href="util-extras.html" class="nav-sub-link">Extras</a>
            </nav>
          </li>
          <li class="nav-item">
            <a href="" class="nav-link with-sub"><i data-feather="life-buoy"></i> Forms</a>
            <nav class="nav nav-sub">
              <a href="form-elements.html" class="nav-sub-link">Form Elements</a>
              <a href="form-input-group.html" class="nav-sub-link">Input Group</a>
              <a href="form-input-tags.html" class="nav-sub-link">Input Tags</a>
              <a href="form-input-masks.html" class="nav-sub-link">Input Masks</a>
              <a href="form-validation.html" class="nav-sub-link">Form Validation</a>
              <a href="form-wizard.html" class="nav-sub-link">Form Wizard</a>
              <a href="form-text-editor.html" class="nav-sub-link">Text Editor</a>
              <a href="form-rangeslider.html" class="nav-sub-link">Range Slider</a>
              <a href="form-datepicker.html" class="nav-sub-link">Date Pickers</a>
              <a href="form-select2.html" class="nav-sub-link">Select2</a>
              <a href="form-search.html" class="nav-sub-link">Search</a>
            </nav>
          </li>
          <li class="nav-item">
            <a href="" class="nav-link with-sub"><i data-feather="pie-chart"></i> Charts</a>
            <nav class="nav nav-sub">
              <a href="chart-flot.html" class="nav-sub-link">Flot</a>
              <a href="chart-chartjs.html" class="nav-sub-link">ChartJS</a>
              <a href="chart-peity.html" class="nav-sub-link">Peity</a>
              <a href="chart-sparkline.html" class="nav-sub-link">Sparkline</a>
              <a href="chart-morris.html" class="nav-sub-link">Morris</a>
            </nav>
          </li>
          <li class="nav-item">
            <a href="" class="nav-link with-sub"><i data-feather="map-pin"></i> Maps</a>
            <nav class="nav nav-sub">
              <a href="map-google.html" class="nav-sub-link">Google Maps</a>
              <a href="map-leaflet.html" class="nav-sub-link">Leaflet Maps</a>
              <a href="map-vector.html" class="nav-sub-link">Vector Maps</a>
            </nav>
          </li>
        </ul>

        <hr class="mg-t-30 mg-b-25">

        <ul class="nav nav-sidebar">
          <li class="nav-item"><a href="../pages/themes.html" class="nav-link"><i data-feather="aperture"></i> Themes</a></li>
          <li class="nav-item"><a href="../docs.html" class="nav-link"><i data-feather="help-circle"></i> Documentation</a></li>
        </ul>


      </div><!-- sidebar-body -->
    </div><!-- sidebar -->

    <div class="content">
      <div class="header">
        <div class="header-left">
          <a href="" class="burger-menu"><i data-feather="menu"></i></a>

          <div class="header-search">
            <i data-feather="search"></i>
            <input type="search" class="form-control" placeholder="What are you looking for?">
          </div><!-- header-search -->
        </div><!-- header-left -->

        <div class="header-right">
          <a href="" class="header-help-link"><i data-feather="help-circle"></i></a>
          <div class="dropdown dropdown-notification">
            <a href="" class="dropdown-link new" data-toggle="dropdown"><i data-feather="bell"></i></a>
            <div class="dropdown-menu dropdown-menu-right">
              <div class="dropdown-menu-header">
                <h6>Notifications</h6>
                <a href=""><i data-feather="more-vertical"></i></a>
              </div><!-- dropdown-menu-header -->
              <div class="dropdown-menu-body">
                <a href="" class="dropdown-item">
                  <div class="avatar"><span class="avatar-initial rounded-circle text-primary bg-primary-light">s</span></div>
                  <div class="dropdown-item-body">
                    <p><strong>Socrates Itumay</strong> marked the task as completed.</p>
                    <span>5 hours ago</span>
                  </div>
                </a>
                <a href="" class="dropdown-item">
                  <div class="avatar"><span class="avatar-initial rounded-circle tx-pink bg-pink-light">r</span></div>
                  <div class="dropdown-item-body">
                    <p><strong>Reynante Labares</strong> marked the task as incomplete.</p>
                    <span>8 hours ago</span>
                  </div>
                </a>
                <a href="" class="dropdown-item">
                  <div class="avatar"><span class="avatar-initial rounded-circle tx-success bg-success-light">d</span></div>
                  <div class="dropdown-item-body">
                    <p><strong>Dyanne Aceron</strong> responded to your comment on this <strong>post</strong>.</p>
                    <span>a day ago</span>
                  </div>
                </a>
                <a href="" class="dropdown-item">
                  <div class="avatar"><span class="avatar-initial rounded-circle tx-indigo bg-indigo-light">k</span></div>
                  <div class="dropdown-item-body">
                    <p><strong>Kirby Avendula</strong> marked the task as incomplete.</p>
                    <span>2 days ago</span>
                  </div>
                </a>
              </div><!-- dropdown-menu-body -->
              <div class="dropdown-menu-footer">
                <a href="">View All Notifications</a>
              </div>
            </div><!-- dropdown-menu -->
          </div>
          <div class="dropdown dropdown-loggeduser">
            <a href="" class="dropdown-link" data-toggle="dropdown">
              <div class="avatar avatar-sm">
                <img src="https://via.placeholder.com/500/637382/fff" class="rounded-circle" alt="">
              </div><!-- avatar -->
            </a>
            <div class="dropdown-menu dropdown-menu-right">
              <div class="dropdown-menu-header">
                <div class="media align-items-center">
                  <div class="avatar">
                    <img src="https://via.placeholder.com/500/637382/fff" class="rounded-circle" alt="">
                  </div><!-- avatar -->
                  <div class="media-body mg-l-10">
                    <h6>Louise Kate Lumaad</h6>
                    <span>Administrator</span>
                  </div>
                </div><!-- media -->
              </div>
              <div class="dropdown-menu-body">
                <a href="" class="dropdown-item"><i data-feather="user"></i> View Profile</a>
                <a href="" class="dropdown-item"><i data-feather="edit-2"></i> Edit Profile</a>
                <a href="" class="dropdown-item"><i data-feather="briefcase"></i> Account Settings</a>
                <a href="" class="dropdown-item"><i data-feather="shield"></i> Privacy Settings</a>
                <a href="" class="dropdown-item"><i data-feather="log-out"></i> Sign Out</a>
              </div>
            </div><!-- dropdown-menu -->
          </div>
        </div><!-- header-right -->
      </div><!-- header -->
      <div class="content-header">
        <div>
          <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
              <li class="breadcrumb-item"><a href="#">UI Library</a></li>
              <li class="breadcrumb-item"><a href="#">Utilities</a></li>
              <li class="breadcrumb-item active" aria-current="page">Flex</li>
            </ol>
          </nav>
          <h4 class="content-title">Flex</h4>
        </div>
      </div><!-- content-header -->
      <div class="content-right content-right-components">
        <label>On This Page</label>
        <nav id="navSection" class="nav flex-column">
          <a href="#section1" class="nav-link">Enable Flex</a>
          <a href="#section2" class="nav-link">Direction</a>
          <a href="#section3" class="nav-link">Justify Content</a>
          <a href="#section4" class="nav-link">Align Items</a>
          <a href="#section5" class="nav-link">Align Self</a>
          <a href="#section6" class="nav-link">Fill</a>
          <a href="#section7" class="nav-link">Grow &amp; Shrink</a>
          <a href="#section8" class="nav-link">Auto Margins</a>
          <a href="#section9" class="nav-link">Order</a>
        </nav>
      </div><!-- content-right -->
      <div class="content-body content-body-components">
        <h5 class="content-lead">Quickly manage the layout, alignment, and sizing of grid columns, navigation, components, and more with a full suite of responsive flexbox utilities.</h5>

        <div class="component-section">
          <h5 id="section1" class="tx-semibold">Enable Flex</h5>
          <p class="mg-b-25">Apply display utilities to create a flexbox container and transform direct children elements into flex items.</p>

          <div class="d-flex pd-10 bg-gray-200">I'm a flexbox container!</div>
        </div><!-- component-section -->
        <pre><code class="language-html">&lt;div class=&quot;d-flex pd-10 bg-gray-200&quot;&gt;I&apos;m a flexbox container!&lt;/div&gt;</code></pre>

        <div class="component-section">
          <h5 id="section2" class="tx-semibold">Direction</h5>
          <p class="mg-b-25">Set the direction of flex items in a flex container with direction utilities.</p>

          <div class="d-flex flex-row bg-gray-200 mg-b-20">
            <div class="pd-10 bg-gray-300">Flex item 1</div>
            <div class="pd-10 bg-gray-400">Flex item 2</div>
            <div class="pd-10 bg-gray-500">Flex item 3</div>
          </div>
          <div class="d-flex flex-row-reverse bg-gray-200">
            <div class="pd-10 bg-gray-300">Flex item 1</div>
            <div class="pd-10 bg-gray-400">Flex item 2</div>
            <div class="pd-10 bg-gray-500">Flex item 3</div>
          </div>
        </div><!-- component-section -->
        <pre><code class="language-html">&lt;div class=&quot;d-flex flex-row bg-gray-200 mg-b-20&quot;&gt;
  &lt;div class=&quot;pd-10 bg-gray-300&quot;&gt;Flex item 1&lt;/div&gt;
  &lt;div class=&quot;pd-10 bg-gray-400&quot;&gt;Flex item 2&lt;/div&gt;
  &lt;div class=&quot;pd-10 bg-gray-500&quot;&gt;Flex item 3&lt;/div&gt;
&lt;/div&gt;
&lt;div class=&quot;d-flex flex-row-reverse bg-gray-200&quot;&gt;
  &lt;div class=&quot;pd-10 bg-gray-300&quot;&gt;Flex item 1&lt;/div&gt;
  &lt;div class=&quot;pd-10 bg-gray-400&quot;&gt;Flex item 2&lt;/div&gt;
  &lt;div class=&quot;pd-10 bg-gray-500&quot;&gt;Flex item 3&lt;/div&gt;
&lt;/div&gt;</code></pre>

        <div class="component-section">
          <h5 id="section3" class="tx-semibold">Justify Content</h5>
          <p class="mg-b-25">Use justify-content utilities on flexbox containers to change the alignment of flex items on the main axis</p>

          <div class="d-flex flex-row justify-content-start bg-gray-200 mg-b-20">
            <div class="pd-10 bg-gray-300">Flex item 1</div>
            <div class="pd-10 bg-gray-400">Flex item 2</div>
            <div class="pd-10 bg-gray-500">Flex item 3</div>
          </div>
          <div class="d-flex flex-row justify-content-end bg-gray-200 mg-b-20">
            <div class="pd-10 bg-gray-300">Flex item 1</div>
            <div class="pd-10 bg-gray-400">Flex item 2</div>
            <div class="pd-10 bg-gray-500">Flex item 3</div>
          </div>
          <div class="d-flex flex-row justify-content-center bg-gray-200 mg-b-20">
            <div class="pd-10 bg-gray-300">Flex item 1</div>
            <div class="pd-10 bg-gray-400">Flex item 2</div>
            <div class="pd-10 bg-gray-500">Flex item 3</div>
          </div>
          <div class="d-flex flex-row justify-content-between bg-gray-200 mg-b-20">
            <div class="pd-10 bg-gray-300">Flex item 1</div>
            <div class="pd-10 bg-gray-400">Flex item 2</div>
            <div class="pd-10 bg-gray-500">Flex item 3</div>
          </div>
          <div class="d-flex flex-row justify-content-around bg-gray-200">
            <div class="pd-10 bg-gray-300">Flex item 1</div>
            <div class="pd-10 bg-gray-400">Flex item 2</div>
            <div class="pd-10 bg-gray-500">Flex item 3</div>
          </div>
        </div><!-- component-section -->
        <pre><code class="language-html">&lt;div class=&quot;d-flex justify-content-start&quot;&gt;...&lt;/div&gt;
&lt;div class=&quot;d-flex justify-content-end&quot;&gt;...&lt;/div&gt;
&lt;div class=&quot;d-flex justify-content-center&quot;&gt;...&lt;/div&gt;
&lt;div class=&quot;d-flex justify-content-between&quot;&gt;...&lt;/div&gt;
&lt;div class=&quot;d-flex justify-content-around&quot;&gt;...&lt;/div&gt;</code></pre>

        <div class="component-section">
          <h5 id="section4" class="tx-semibold">Align Items</h5>
          <p class="mg-b-25">Use align-items utilities on flexbox containers to change the alignment of flex items on the cross axis</p>

          <div class="d-flex flex-row align-items-start bg-gray-200 ht-100 mg-b-20">
            <div class="pd-10 bg-gray-300">Flex item 1</div>
            <div class="pd-10 bg-gray-400">Flex item 2</div>
            <div class="pd-10 bg-gray-500">Flex item 3</div>
          </div>

          <div class="d-flex flex-row align-items-center bg-gray-200 ht-100 mg-b-20">
            <div class="pd-10 bg-gray-300">Flex item 1</div>
            <div class="pd-10 bg-gray-400">Flex item 2</div>
            <div class="pd-10 bg-gray-500">Flex item 3</div>
          </div>

          <div class="d-flex flex-row align-items-end bg-gray-200 ht-100 mg-b-20">
            <div class="pd-10 bg-gray-300">Flex item 1</div>
            <div class="pd-10 bg-gray-400">Flex item 2</div>
            <div class="pd-10 bg-gray-500">Flex item 3</div>
          </div>

          <div class="d-flex flex-row align-items-stretch bg-gray-200 ht-100">
            <div class="pd-10 bg-gray-300">Flex item 1</div>
            <div class="pd-10 bg-gray-400">Flex item 2</div>
            <div class="pd-10 bg-gray-500">Flex item 3</div>
          </div>
        </div><!-- component-section -->
        <pre><code class="language-html">&lt;div class=&quot;d-flex align-items-start&quot;&gt;...&lt;/div&gt;
&lt;div class=&quot;d-flex align-items-center&quot;&gt;...&lt;/div&gt;
&lt;div class=&quot;d-flex align-items-end&quot;&gt;...&lt;/div&gt;
&lt;div class=&quot;d-flex align-items-stretch&quot;&gt;...&lt;/div&gt;</code></pre>

        <div class="component-section">
          <h5 id="section5" class="tx-semibold">Align Self</h5>
          <p class="mg-b-25">Use align-self utilities on flexbox items to individually change their alignment on the cross axis</p>

          <div class="d-flex flex-row bg-gray-200 ht-100 mg-b-20">
            <div class="pd-10 bg-gray-300 align-self-start">Flex item 1</div>
            <div class="pd-10 bg-gray-400 align-self-center">Flex item 2</div>
            <div class="pd-10 bg-gray-500 align-self-end">Flex item 3</div>
            <div class="pd-10 bg-gray-400 align-self-stretch">Flex item 4</div>
          </div>
        </div><!-- component-section -->
        <pre><code class="language-html">&lt;div class=&quot;d-flex flex-row bg-gray-200 ht-100 mg-b-20&quot;&gt;
  &lt;div class=&quot;pd-10 bg-gray-300 align-self-start&quot;&gt;Flex item 1&lt;/div&gt;
  &lt;div class=&quot;pd-10 bg-gray-400 align-self-center&quot;&gt;Flex item 2&lt;/div&gt;
  &lt;div class=&quot;pd-10 bg-gray-500 align-self-end&quot;&gt;Flex item 3&lt;/div&gt;
  &lt;div class=&quot;pd-10 bg-gray-400 align-self-stretch&quot;&gt;Flex item 4&lt;/div&gt;
&lt;/div&gt;</code></pre>

        <div class="component-section">
          <h5 id="section6" class="tx-semibold">Fill</h5>
          <p class="mg-b-25">Use the <code>.flex-fill</code> class on a series of sibling elements to force them into widths equal to their content</p>

          <div class="d-flex bg-gray-200">
            <div class="pd-10 bg-gray-300 flex-fill">Flex item with a lot of content</div>
            <div class="pd-10 bg-gray-400 flex-fill">Flex item</div>
            <div class="pd-10 bg-gray-500 flex-fill">Flex item</div>
          </div>
        </div><!-- component-section -->
        <pre><code class="language-html">&lt;div class=&quot;d-flex bg-gray-200&quot;&gt;
  &lt;div class=&quot;pd-10 bg-gray-300 flex-fill&quot;&gt;Flex item with a lot of content&lt;/div&gt;
  &lt;div class=&quot;pd-10 bg-gray-400 flex-fill&quot;&gt;Flex item&lt;/div&gt;
  &lt;div class=&quot;pd-10 bg-gray-500 flex-fill&quot;&gt;Flex item&lt;/div&gt;
&lt;/div&gt;</code></pre>

        <div class="component-section">
          <h5 id="section7" class="tx-semibold">Grow &amp; Shrink</h5>
          <p class="mg-b-25">Use <code>.flex-grow</code> utilities to toggle a flex item’s ability to grow to fill available space.</p>

          <div class="d-flex bg-gray-200">
            <div class="pd-10 bg-gray-300 flex-grow-1">Flex item</div>
            <div class="pd-10 bg-gray-400">Flex item</div>
            <div class="pd-10 bg-gray-500">Third flex item</div>
          </div>
        </div><!-- component-section -->
        <pre><code class="language-html">&lt;div class=&quot;d-flex bg-gray-200&quot;&gt;
  &lt;div class=&quot;pd-10 bg-gray-300 flex-grow-1&quot;&gt;Flex item&lt;/div&gt;
  &lt;div class=&quot;pd-10 bg-gray-400&quot;&gt;Flex item&lt;/div&gt;
  &lt;div class=&quot;pd-10 bg-gray-500&quot;&gt;Third flex item&lt;/div&gt;
&lt;/div&gt;</code></pre>

        <div class="component-section">
          <h5 id="section8" class="tx-semibold">Auto Margins</h5>
          <p class="mg-b-25">Flexbox can do some pretty awesome things when you mix flex alignments with auto margins.</p>

          <div class="d-flex bg-gray-200">
            <div class="pd-10 bg-gray-300">Flex item</div>
            <div class="pd-10 bg-gray-400">Flex item</div>
            <div class="pd-10 bg-gray-500 mg-l-auto">Third flex item</div>
          </div>
        </div><!-- component-section -->
        <pre><code class="language-html">&lt;div class=&quot;d-flex bg-gray-200&quot;&gt;
  &lt;div class=&quot;pd-10 bg-gray-300 flex-grow-1&quot;&gt;Flex item&lt;/div&gt;
  &lt;div class=&quot;pd-10 bg-gray-400&quot;&gt;Flex item&lt;/div&gt;
  &lt;div class=&quot;pd-10 bg-gray-500 mg-l-auto&quot;&gt;Third flex item&lt;/div&gt;
&lt;/div&gt;</code></pre>

        <div class="component-section">
          <h5 id="section9" class="tx-semibold">Order</h5>
          <p class="mg-b-25">Change the visual order of specific flex items with a handful of order utilities.</p>

          <div class="d-flex bg-gray-200">
            <div class="pd-10 bg-gray-300 order-3">First Item</div>
            <div class="pd-10 bg-gray-400 order-2">Second Item</div>
            <div class="pd-10 bg-gray-500 order-1">Third Item</div>
          </div>
        </div><!-- component-section -->
        <pre><code class="language-html">&lt;div class=&quot;d-flex bg-gray-200&quot;&gt;
  &lt;div class=&quot;pd-10 bg-gray-300 order-3&quot;&gt;First Item&lt;/div&gt;
  &lt;div class=&quot;pd-10 bg-gray-400 order-2&quot;&gt;Second Item&lt;/div&gt;
  &lt;div class=&quot;pd-10 bg-gray-500 order-1&quot;&gt;Third Item&lt;/div&gt;
&lt;/div&gt;</code></pre>

      </div><!-- content-body -->

      <div class="content-footer">
        &copy; 2019. All Rights Reserved. Created by <a href="http://themepixels.me" target="_blank">ThemePixels</a>
      </div><!-- content-footer -->
    </div><!-- content -->



    <script src="../lib/jquery/jquery.min.js"></script>
    <script src="../lib/bootstrap/js/bootstrap.bundle.min.js"></script>
    <script src="../lib/feather-icons/feather.min.js"></script>
    <script src="../lib/perfect-scrollbar/perfect-scrollbar.min.js"></script>
    <script src="../lib/prismjs/prism.js"></script>
    <script src="../lib/js-cookie/js.cookie.js"></script>

    <script src="../assets/js/cassie.js"></script>
    <script>
      $(function(){
        'use strict'



      });
    </script>
  </body>
</html>
